%define debug_package %{nil}

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%if 0%{?centos} == 6
%global         with_python2 1
%endif

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

Name:           packaging
Version:        21.3
Release:        1%{?dist}
Summary:        Reusable core utilities for various Python Packaging interoperability specifications

License:        Apache 2.0
URL:            https://github.com/pypa/packaging
Source0:        %{name}-%{version}.tar.gz

%global _description \
Reusable core utilities for various Python Packaging interoperability specifications. \
This library provides utilities that implement the interoperability specifications which \
have clearly one correct behaviour (eg: PEP 440) or benefit greatly from having a single shared implementation (eg: PEP 425).\
The packaging project includes the following: version handling, specifiers, markers, requirements, tags, utilities.

%description %{_description}

%if %{with python2}
%package -n python2-%{name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description -n python2-%{name} %{_description}
Python 2 version.
%endif

%if %{with python3}
%package -n python%{python3_pkgversion}-%{name}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{name} %{_description}
Python 3 version.
%endif

%prep
%autosetup 

%build
%if %{with python2}
%py2_build
%endif

%if %{with python3}
%py3_build
%endif

%install
%if %{with python2}
%py2_install
%endif

%if %{with python3}
%py3_install
%endif

%if %{with python2}
%files -n python2-%{name}
%license LICENSE
%doc README.rst 
%{python2_sitelib}/%{name}-*.dist-info/
%endif

%if %{with python3}
%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc README.rst 
%{python3_sitelib}/%{name}-*.egg-info/
%{python3_sitelib}/%{name}/
%endif

%changelog
* Sun Nov 21 2021 Lawrence R. Rogers <lrr@cert.org> - 21.3
- Release 21.2
	Version 21.3
